// File: StateDemo.java
// Test Oracle on State Database

import java.io.*;
import java.sql.*;

public class StateDBCreate {

  private static final String USERNAME = "spiegel";
  private static final String PASSWORD = "legeips";

 public static void main(String[] args) throws java.io.IOException
 {  // Open a stream from the input file
    BufferedReader DataInput=new BufferedReader(new FileReader("states.txt"));
    // Read the file and print the States that were read
    State[] sList=new State[100];
    int ctr=0;
    System.out.println("The List in File Order...");
    State.printHeader();
    while ((sList[ctr]=State.readStateFromFile(DataInput))!=null)
      sList[ctr++].printState();

    // Set up JDBC stuff
    Statement stmnt;
    try {
      Connection con = new OracleConnection().getConnection(USERNAME, PASSWORD);
      stmnt=con.createStatement();
      
      // Need to use unique names (Area messed things up!)
      String createString="CREATE TABLE States (sName VARCHAR2(14), "+
		"sPop NUMBER, sArea NUMBER, sYear NUMBER, "+
					"sOrder NUMBER, sCap VARCHAR2(14))";
      stmnt.executeUpdate(createString);
      for (int idx=0;idx<ctr;idx++) {
        // Form the string representing the insertion statement for this state
        // Note use of ' to delimit strings in the SQL statement
        String StateSQLString = ("INSERT INTO States VALUES('" +sList[idx].name 
	  + "'," + sList[idx].population + "," + sList[idx].area + "," +
           		 sList[idx].year + "," + sList[idx].order + ",'" +
                                                    sList[idx].capital + "')");
        stmnt.executeUpdate(StateSQLString);
      } // for
      // We can remove the table (use when table needs to go)
      // stmnt.executeUpdate("DROP TABLE States");
      stmnt.close();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
 }

}

